<?php

$hostname = $_SERVER["argv"][1];
$port = $_SERVER["argv"][2];
$dsnid = $_SERVER["argv"][3];

require_once 'include/xmlrpc.inc';
include_once 'rpc-config.php';
include_once 'include/functions-rpc.php';

$timestart = getServerTime();
#print("server time is: $timestart\n");

dsnCommand($dsnid, 'tg get current');

sleep(3);

$v=array();
$v[] = new xmlrpcval($dsnid, "string"); // dsnid
$v[] = new xmlrpcval(":TC", "string");  // msg
$v[] = new xmlrpcval($timestart, "string");  // timefrom
$v[] = new xmlrpcval("9999-12-31 00:00:00", "string");  // timetil
$v[] = new xmlrpcval("1", "int");  // timetil

$f=new xmlrpcmsg('getRPCS.getRPCS', $v);
$c=new xmlrpc_client("/", $hostname, $port);

$r=&$c->send($f); 
$v = $r->value(); // array

if ($r->faultCode()) {
  print "An error occurred:<pre>";
  print "Code: " . htmlspecialchars($r->faultCode()) .
  "\nReason: '" . htmlspecialchars($r->faultString());
}
else{
  $v = $r->value(); // array
  $max = $v->arraysize();
  if($max == 0){
			print "no logs found.\n";
			return;
	       }
}

$rec = $v->arraymem(0); // struct
	$text_temp = $rec->structmem("msg");
	$text = $text_temp->scalarval();
	$textsplit = split(" ",$text);
print $textsplit[1] . "\n";
?>