<?php

$hostname = $_SERVER["argv"][1];
$port     = $_SERVER["argv"][2];
$dsnid    = $_SERVER["argv"][3];
$user     = $_SERVER["argv"][4];
$pass     = $_SERVER["argv"][5];

require_once 'include/xmlrpc.inc';
include_once 'include/functions-rpc.php';

$_RPC_CLIENT = new xmlrpc_client('/', $hostname, $port);
$_RPC_CLIENT->setCredentials($user, $pass);

$timestart = getServerTime();
#print("server time is: $timestart\n");

dsnCommand('root', "rpcs $dsnid tg get bat");

sleep(3);

$v=array();
$v[] = new xmlrpcval($dsnid, "string"); // dsnid
$v[] = new xmlrpcval(":TB", "string");  // msg
$v[] = new xmlrpcval($timestart, "string");  // timefrom
$v[] = new xmlrpcval("9999-12-31 00:00:00", "string");  // timetil
$v[] = new xmlrpcval("1", "int");  // timetil

$f=new xmlrpcmsg('getRPCS.getRPCS', $v);

$r = $_RPC_CLIENT->send($f); 
$v = $r->value(); // array

if ($r->faultCode()) {
  print "An error occurred:<pre>";
  print "Code: " . htmlspecialchars($r->faultCode()) .
  "\nReason: '" . htmlspecialchars($r->faultString());
}
else{
  $v = $r->value(); // array
  $max = $v->arraysize();
  if($max == 0){
			print "no logs found.\n";
			return;
	       }
}

$rec = $v->arraymem(0); // struct
	$text_temp = $rec->structmem("msg");
	$text = $text_temp->scalarval();
print(substr($text,4,5));
?>


